
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>我的Android进阶之旅------&amp;gt;Android中android:windowSoftInputMode的用法 / iVAN</title>

    <meta name="description" content="我的Android进阶之旅------&amp;gt;Android中android:windowSoftInputMode的用法  面试题:如何在显示某个Activity时立即弹出软键盘? 答案:在AndroidManifest.xml文件中设置&lt;activity&gt;标签的android:windowSoftInputMode属性可以在显示Activity时立即弹出当前输入法的软键盘(不管是否有获得焦点的空间). 设置为:android:windowSoftInputMode=&quot;stateVisible|adjustPan&quot;   代码如下: &lt;activity android:name= ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">我的Android进阶之旅------&amp;gt;Android中android:windowSoftInputMode的用法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 面试题：如何在显示某个Activity时立即弹出软键盘？</p>
<p>答案：在AndroidManifest.xml文件中设置&lt;activity&gt;标签的android:windowSoftInputMode属性可以在显示Activity时立即弹出当前输入法的软键盘(不管是否有获得焦点的空间)。</p>
<p>设置为：android:windowSoftInputMode="stateVisible|adjustPan"   代码如下：</p>
<pre>   &lt;activity
            android:name=".RingstonActivity"
            android:configChanges="orientation|keyboardHidden|screenSize"
            android:windowSoftInputMode="stateVisible|adjustPan"
            android:label="@string/app_name"
            android:theme="@style/AppTheme" &gt;</pre>
<p>启动程序，进入RingstonActivity就弹出了当前的输入法，本人手机上装的是搜狗输入法</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA3MTkyMzQ0MDA2ODQ/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvQ2VudGVy.jpg"></p>
<p>=================================中文大义如下=================================<br />attributes:android:windowSoftInputMode<br />活动的主窗口如何与包含屏幕上的软键盘窗口交互。这个属性的设置将会影响两件事情:<br />1&gt; 软键盘的状态——是否它是隐藏或显示——当活动(Activity)成为用户关注的焦点。<br />2&gt; 活动的主窗口调整——是否减少活动主窗口大小以便腾出空间放软键盘或是否当活动窗口的部分被软键盘覆盖时它的内容的当前焦点是可见的。<br />它的设置必须是下面列表中的一个值，或一个”state…”值加一个”adjust…”值的组合。在任一组设置多个值——多个”state…”values，例如＆mdash有未定义的结果。各个值之间用|分开。例如: &lt;activity android:windowSoftInputMode="stateVisible|adjustResize" . . .<br />
 &gt;<br />在这设置的值(除"stateUnspecified"和"adjustUnspecified"以外)将覆盖在主题中设置的值</p>
<p>下面是这些值的含义：</p>
<table>
<tbody>
<tr>
<td>
值
</td>
<td>含义</td>
</tr>
<tr>
<td>stateUnspecified</td>
<td>软键盘的状态(是否它是隐藏或可见)没有被指定。系统将选择一个合适的状态或依赖于主题的设置。这个是为了软件盘行为默认的设置。</td>
</tr>
<tr>
<td>stateUnchanged</td>
<td>软键盘被保持无论它上次是什么状态，是否可见或隐藏，当主窗口出现在前面时。</td>
</tr>
<tr>
<td>stateHidden</td>
<td>当用户选择该Activity时，软键盘被隐藏——也就是，当用户确定导航到该Activity时，而不是返回到它由于离开另一个Activity。</td>
</tr>
<tr>
<td>stateAlwaysHidden</td>
<td>软键盘总是被隐藏的，当该Activity主窗口获取焦点时。</td>
</tr>
<tr>
<td>stateVisible</td>
<td>软键盘是可见的，当那个是正常合适的时(当用户导航到Activity主窗口时)。</td>
</tr>
<tr>
<td>stateAlwaysVisible</td>
<td>当用户选择这个Activity时，软键盘是可见的——也就是，也就是，当用户确定导航到该Activity时，而不是返回到它由于离开另一个Activity。</td>
</tr>
<tr>
<td>adjustUnspecified</td>
<td>它不被指定是否该Activity主窗口调整大小以便留出软键盘的空间，或是否窗口上的内容得到屏幕上当前的焦点是可见的。系统将自动选择这些模式中一种主要依赖于是否窗口的内容有任何布局视图能够滚动他们的内容。如果有这样的一个视图，这个窗口将调整大小，这样的假设可以使滚动窗口的内容在一个较小的区域中可见的。这个是主窗口默认的行为设置。</td>
</tr>
<tr>
<td>adjustResize</td>
<td>该Activity主窗口总是被调整屏幕的大小以便留出软键盘的空间。</td>
</tr>
<tr>
<td>adjustPan</td>
<td> 该Activity主窗口并不调整屏幕的大小以便留出软键盘的空间。相反，当前窗口的内容将自动移动以便当前焦点从不被键盘覆盖和用户能总是看到输入内容的部分。这个通常是不期望比调整大小，因为用户可能关闭软键盘以便获得与被覆盖内容的交互操作。</td>
</tr>
<tr>
<td>欧阳鹏</td>
<td><a href="http://blog.csdn.net/ouyang_peng" rel="external nofollow noreferrer">http://blog.csdn.net/ouyang_peng</a></td>
</tr>
</tbody>
</table>
<p>========================================官网介绍如下========================================</p>
<p>语法如下：</p>
<pre>&lt;activity
android:windowSoftInputMode=["stateUnspecified",
                                       "stateUnchanged", "stateHidden",
                                       "stateAlwaysHidden", "stateVisible",
                                       "stateAlwaysVisible", "adjustUnspecified",
                                       "adjustResize", "adjustPan"] &gt; </pre>

<dl>
<dt><code><br /></code></dt>
<dt><code>android:windowSoftInputMode</code></dt>
<dd>How the main window of the activity interacts with the window containing the on-screen soft keyboard. The setting for this attribute affects two things:</p>
<ul>
<li>The state of the soft keyboard — whether it is hidden or visible — when the activity becomes the focus of user attention.</li>
<li>The adjustment made to the activity's main window — whether it is resized smaller to make room for the soft keyboard or whether its contents pan to make the current focus visible when part of the window is covered by the soft<br />
 keyboard.</li>
</ul>
<p>The setting must be one of the values listed in the following table, or a combination of one "<code>state...</code>" value plus one "<code>adjust...</code>"<br />
 value. Setting multiple values in either group — multiple "<code>state...</code>" values, for example — has undefined results. Individual values are separated by a vertical bar (<code>|</code>).<br />
 For example:</p>
<pre>&lt;activity android:windowSoftInputMode="stateVisible|adjustResize" . . . &gt;</pre>
<p>Values set here (other than "<code>stateUnspecified</code>" and "<code>adjustUnspecified</code>")<br />
 override values set in the theme.</p>
<table>
<tbody>
<tr>
<th>
V alue
</th>
<th>
Description</th>
</tr>
<tr>
<td>
"<code>stateUnspecified</code>"</td>
<td>
The state of the soft keyboard (whether it is hidden or visible) is not specified. The system will choose an appropriate state or rely on the setting in the theme.<br />
<br />This is the default setting for the behavior of the soft keyboard.</p>
</td>
</tr>
<tr>
<td>
"<code>stateUnchanged</code>"</td>
<td>
The soft keyboard is kept in whatever state it was last in, whether visible or hidden, when the activity comes to the fore.</td>
</tr>
<tr>
<td>
"<code>stateHidden</code>"</td>
<td>
The soft keyboard is hidden when the user chooses the activity — that is, when the user affirmatively navigates forward to the activity, rather than backs into it because of leaving another activity.</td>
</tr>
<tr>
<td>
"<code>stateAlwaysHidden</code>"</td>
<td>
The soft keyboard is always hidden when the activity's main window has input focus.</td>
</tr>
<tr>
<td>
"<code>stateVisible</code>"</td>
<td>
The soft keyboard is visible when that's normally appropriate (when the user is navigating forward to the activity's main window).</td>
</tr>
<tr>
<td>
"<code>stateAlwaysVisible</code>"</td>
<td>
The soft keyboard is made visible when the user chooses the activity — that is, when the user affirmatively navigates forward to the activity, rather than backs into it because of leaving another activity.</td>
</tr>
<tr>
<td>
"<code>adjustUnspecified</code>"</td>
<td>
It is unspecified whether the activity's main window resizes to make room for the soft keyboard, or whether the contents of the window pan to make the current focus visible on-screen. The system will automatically select one of these modes depending on whether<br />
 the content of the window has any layout views that can scroll their contents. If there is such a view, the window will be resized, on the assumption that scrolling can make all of the window's contents visible within a smaller area.<br />
<br />This is the default setting for the behavior of the main window.</p>
</td>
</tr>
<tr>
<td>
"<code>adjustResize</code>"</td>
<td>
The activity's main window is always resized to make room for the soft keyboard on screen.</td>
</tr>
<tr>
<td>
"<code>adjustPan</code>"</td>
<td>
The activity's main window is not resized to make room for the soft keyboard. Rather, the contents of the window are automatically panned so that the current focus is never obscured by the keyboard and users can always see what they are typing. This is generally<br />
 less desirable than resizing, because the user may need to close the soft keyboard to get at and interact with obscured parts of the window.</td>
</tr>
</tbody>
</table>
<p>This attribute was introduced in API Level 3.</p>
</dd>
</dl>
<p>INTRODUCED IN:</p>
<p>API Level 1 for all attributes except for <code><a href="http://wear.techbrood.com/guide/topics/manifest/activity-element.html#nohist" rel="external nofollow noreferrer">noHistory</a></code> and <code><a href="http://wear.techbrood.com/guide/topics/manifest/activity-element.html#wsoft" rel="external nofollow noreferrer">windowSoftInputMode</a></code>,<br />
 which were added in API Level 3.</p>
<p>                            ====================================================================================<br />
<br /><strong>  作者：欧阳鹏  欢迎转载，与人分享是进步的源泉！</strong></p>
<p><strong>  转载请保留原文地址：<a href="http://blog.csdn.net/ouyang_peng" rel="external nofollow noreferrer">http://blog.csdn.net/ouyang_peng</a></strong></p>
<p>====================================================================================</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNTA3MDgyMDE5MTAwODk=.jpg"></p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:09:14</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/activity/" title="activity">activity</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>我的Android进阶之旅------&amp;gt;Android中android:windowSoftInputMode的用法的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn6KrWp.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;ListView中android&colon;cacheColorHint&comma;android&colon;listSelector属性作用 &period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				            ( 本文转载于:http://blog.csdn.net/stonecao/article/details/6216449)        自定义listview的时候,当你不使用android:cacheColorHint=&quot;#00000000&quot;会出现下面选中一个空间黑色底色的情况,破坏整体美观度:                当你不使用android:listSelector属性,默认会显示选中的item为橙黄底色,有时候我们需要去掉这种效果:      			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPkoeDM.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;如何解决Android 5&period;0中出现的警告： Service Intent must be explicit&colon;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我的Android进阶之旅--&gt;如何解决Android 5.0中出现的警告: java.lang.IllegalArgumentException: Service Intent must be explicit: Intent { act=com.xtc.kuwo.watch.MUSIC_PLAY_SERVICE (has extras) } 1.错误描述 今天在Android4.4 的小米4手机上运行我的程序的时候没有报错,而在Android 5.1的华为P7上运行我的程序的时候报了以下的错			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZEVy4p.html" rel="bookmark">【我的Android进阶之旅】如何隐藏Android中EditText控件的默认下划线</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android EditText控件是经常使用的控件,但是有时候我们并不需要它的一些默认的属性,比如说下划线,因为有时候这样的默认下划线看起来特别怪异,和其他控件在一起搭配的时候不协调,因此有时候就需要去掉默认的下划线. 下面先看看默认的效果. 代码如下 &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;RelativeLayout xmlns:android=&quot;http://schemas.android.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NJnDz.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;如何获取Android控件的宽和高</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文转载于:http://blog.csdn.net/johnny901114/article/details/7839512 我们都知道在onCreate()里面获取控件的高度是0,这是为什么呢?我们来看一下示例: 首先我们自己写一个控件,这个控件非常简单: [java] view plaincopy public class MyImageView extends ImageView {          public MyImageView(Context context, Attribu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bodLDvM.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;关于使用Android Studio替换App的launcher图标之后仍然显示默认的ic&lowbar;launcher图标的解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 最近做了一个App,之前开发该App的时候一直以来都是默认的launcher图标启动的, 今天美工换了一个App的launcher 图标,因此在Android Studio中将默认的lancher图标替换成美工的图标,运行到真机后,发现一直没有替换成功. 替换 下面是替换lancher图标的代码,将如下默认的代码 &lt;application android:name=&quot;.app.QQNewsApp&quot; android:allowBackup=&quot;true&quot; a			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYX7Zeb.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;如何将Android源码导入Eclipse中来查看（非常实用）</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/MYX7Zeb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzA4MjcxNjM1MTYxODc/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YjNWNVlXNW5YM0JsYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
						<div class="summary">
				Android源码下载完成的目录结构如如所示: step1:将.classpath文件拷贝到源代码的根目录 Android源码支持多种IDE,如果是针对APP层做开发的话,建议大家使用Eclipse开发环境.在源码路径(~/development/ide/eclipse)下,Android提供了.classpath配置文件(备注:该文件为隐藏文件). cp development/ide/eclipse/.classpath ./ chmod u+w .classpath # Make the			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLm7y8z.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;解决Jackson等第三方转换Json的开发包在开启混淆后转换的实体类数据都是null的bug</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.错误描述 今天测试人员提了一个bug,说使用我们的app出现了闪退的bug,后来通过debug断点调试,发现我们的app转换服务器发送过来的json数据后,都是为null.而之前已经提测快一个月的功能,一直都是稳定的,为什么现在会报java.lang.NullPointerException. 2.错误原因 原来我提测了一个月的APP版本一直没有打开混淆开关,而出问题的这个APP版本在即将要发布出去的时候打开了混淆开关.这样的话,我那些要通过转换json数据为bean实体类,因为没有在pro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6K5LM.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;Android疯狂连连看游戏的实现之状态数据模型&lpar;三&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/bE6K5LM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzExMDcxMTM4MDM3MTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YjNWNVlXNW5YM0JsYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
						<div class="summary">
				对于游戏玩家而言,游戏界面上看到的&quot;元素&quot;千变万化:但是对于游戏开发者而言,游戏界面上的元素在底层都是一些数据,不同数据所绘制的图片有所差异而已.因此建立游戏的状态数据模型是实现游戏逻辑的重要步骤. 1.定义数据模型 连连看的界面是一个NxM的&quot;网格&quot;,每个网格上显示一张图片.而这个网格只需要一个二维数组来定义即可,而每个网格上所显示的图片,对于底层数据模型来说,不同的图片对于着不同的数值即可. 对于上图所示的数据模型,只要让数值为0的网格上不绘制图片,其他数值的网			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqA73eM.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;介绍一款集录制与剪辑为一体的屏幕GIF 动画制作工具 GifCam</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/MqA73eM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzExMDcxMTM4MDM3MTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YjNWNVlXNW5YM0JsYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
						<div class="summary">
				由于上一篇文章:我的Android进阶之旅------&gt;Android之动画之Frame Animation实例 中展示的是Frame动画效果,但是之前我是将图片截取下来,不好说明确切的动画过程,因此今天百度了一下gif动画的制作工具,找到了这款不错的软件GifCam.然后我使用该软件将动画制作成gif动画,然后更新了上一篇文章上传了新制作的gif动画,使博客的说明效果更佳. 该软件的界面如下所示: 该软件的操作步骤如下: 1.拖动 GifCam 标题栏,改变其位置,并调整 GifCam 窗口大			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NRx7z.html" rel="bookmark">我的Android进阶之旅------&amp;amp&semi;gt&semi;Android疯狂连连看游戏的实现之开发游戏界面&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/p5NRx7z.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxMzExMDcxMTM4MDM3MTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2YjNWNVlXNW5YM0JsYm1jPS9mb250LzVhNkw1TDJUL2ZvbnRzaXplLzQwMC9maWxsL0kwSkJRa0ZDTUE9PS9kaXNzb2x2ZS83MC9ncmF2aXR5L1NvdXRoRWFzdA==.jpg">
							</a>
						<div class="summary">
				连连看的游戏界面十分简单,大致可以分为两个区域: 游戏主界面区 控制按钮和数据显示区 1.开发界面布局 本程序使用一个RelativeLayout作为整体的界面布局元素,界面布局上面是一个自定义组件,下面是一个水平排列的LinearLayout. 下面是本程序的布局文件:/res/layout/main.xml &lt;?xml version=&quot;1.0&quot; encoding=&quot;utf-8&quot;?&gt; &lt;RelativeLayout xmlns:android=			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvKQ6p.html" rel="bookmark" class="title">怎么制作Mac电脑OS X 10&period;10&period;4U盘安装盘</a>
					<div>
						  如何制作Mac电脑OS X 10.10.4U盘安装盘 1.首先,我们需要准备一个8G或以上空间的U盘或外置硬盘,并通过磁盘工具(DiskUtility)分区和抹除,确保U盘或外置硬盘使用的分区方式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5q5qp.html" rel="bookmark" class="title">制作网页过程中可以参考的一些JAVASCRIPT技术</a>
					<div>
						javascript|参考|过程|网页 事件源对象 event.srcElement.tagName event.srcElement.type 捕获释放 event.srcElement.setCa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpknWOM.html" rel="bookmark" class="title">Dreamweaver MX 2004视频宝典教程&lpar;56&rpar;</a>
					<div>
						dreamweaver|教程 第 56 集:&lt;select&gt;&lt;option&gt; 课程目标:学习在Dreamweaver中使用&lt;select&gt;&lt;option&gt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6O4Ap.html" rel="bookmark" class="title">浅谈如何正确选择目标关键词</a>
					<div>
						想要运营好我们的网站,前期准备是很重要的,包括网站的前期定位,可以参考前几天写的一篇文章&quot;浅谈如何给即将上线的网站定位&quot;.文章里讲到了关键词的选择,今天给大家介绍下如何正确的去选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlkVRb.html" rel="bookmark" class="title">网站可用性研究：网页上的文本内容</a>
					<div>
						本教程翻译自:How Usable is Your Copy? 当我们谈论网站可用性的时候,我们总会提及用户界面(UI)--按钮.标记(label).标签(tab)等的设计与布局.但是,还有一个可能会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6R33z.html" rel="bookmark" class="title">存储技术基础：存储虚拟化详解</a>
					<div>
						简单的讲,虚拟存储(Storage Virtualization),就是把多个存储介质模块(如硬盘.RAID)通过一定的手段集中管理起来,所有的存储模块在一个存储池中得到统一管理.这种可以将多种.多个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxKmZb.html" rel="bookmark" class="title">用Windows 7组策略为系统&OpenCurlyDoubleQuote;瘦身&rdquo;</a>
					<div>
						从Windows XP时代我们就知道,利用组策略功能可以对系统进行优化操作,包括让系统更安全.更高效.同样,这一切在Windows 7(以下简称Win7)当中也得到了继承.本文将从三个方面为大家讲解如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLgLGb.html" rel="bookmark" class="title">如何在Word 2013中输入项目符号</a>
					<div>
						项目符号主要用于区分Word2013文档中不同类别的文本内容,使用圆点.星号等符号表示项目符号,并以段落为单位进行标识.在Word2013中输入项目符号的方法如下: 打开Word2013文档窗口,选中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91XvkM.html" rel="bookmark" class="title">UVa 639 Don&amp;&num;039&semi;t Get Rooked：DFS好题</a>
					<div>
						639 - Don't Get Rooked Time limit: 3.000 seconds http://uva.onlinejudge.org/index.php?option=com_onl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKrVAM.html" rel="bookmark" class="title">如何在Dreamweaver 制作弹出菜单</a>
					<div>
						  我们制作中要完成的效果是当鼠标移动到文字上时,就会弹出一个漂亮的菜单,如图 17-1 和图 17-2 所示. 具体操作步骤如下: 1.输入文字并设置超链接.在网页中输入文字,因为单独的文本文字是无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZ7aDz.html" rel="bookmark" class="title">电脑怎么连接功放音箱操作步骤</a>
					<div>
						电脑怎么连接功放音箱操作步骤: 很简单,将电脑的音频输出与功放的输入连接起来就可以了,但由于电脑的音频输出与功放的输入口的形式不太一样,要去配专用的的连接线,一般电子市场都有. 不需要声卡!主板自带的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGevEp.html" rel="bookmark" class="title">Word2010中将图片艺术化的办法</a>
					<div>
						  很多的朋友只知道,在Word中可以插入艺术字体,但却不知道Word也有处理图像的功能,可以将图片设置成艺术效果.你也不知道吧,那就随小编一起来了解一下吧! Word2010 操作步骤如下所述: 第 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGdk1p.html" rel="bookmark" class="title">ibdata1文件持续增加的问题定位</a>
					<div>
						用户的ibdata1文件持续增加: Innodb的表有两种存放方式: 第一种共享表空间方式:所有表的索引,数据统一存放在一个共享表空间中,这样会导致共享表空间的空间迅速增长,同时空间回收困难: 第二种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72rN4p.html" rel="bookmark" class="title">怎样调整分页显示数量在GridView中</a>
					<div>
						问题描述 怎样调整分页显示数量在GridView中我的每页只能显示10行怎么调节为20行呢 解决方案 解决方案二:GridView1.PageSize=20;解决方案三:属性中的pagesize,设成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kDXoM.html" rel="bookmark" class="title">给Magento新增JSON-RPC类型的Api适配器（adapter）</a>
					<div>
						百度百科里对JSON-RPC的定义:      json rpc 是一种以json为消息格式的远程调用服务,它是一套允许运行在不同操作系统.不同环境的程序实现基于Internet过程调用的规范和一系列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQyLLp.html" rel="bookmark" class="title">小长假容易被人们忽略的个人信息安全？</a>
					<div>
						清明节,这虽是为了纪念逝去亲人而回家&quot;挂亲&quot;的节日,实际上人们更多比较放松和开心,因为这又是一个可以跟家人团聚.朋友聚会的节日. 一说到过节,我们又可以来说说个人信息安全的问题!哈 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z36OM.html" rel="bookmark" class="title">求正则表达式 LDLDLD 或 LDL DLD</a>
					<div>
						问题描述 LDLDLD或LDLDLD1.L代表字母(大写),D代表数字2.要满足上面两种情况(也就是说第三位和第四位之间有无空格都可以) 解决方案 解决方案二:另外,五位数字的表达式应该是这样吧[0- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeR6L9b.html" rel="bookmark" class="title">从零开始学数据库（一）&mdash;&mdash;安装、启动、进入、创建表、检查表结构、类型说明、更改表项名、插入值</a>
					<div>
						(一)安装 搜索:mysql-5.6.17-winx64.zip 下载安装 类型MySQL,5.6绿色版 安装参考这个博客:http://blog.csdn.net/zhuxiaowei716/art ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZZENM.html" rel="bookmark" class="title">android 网络机制-Android 网络通信机制</a>
					<div>
						问题描述 Android 网络通信机制 android 从服务器下载文件有哪几种?都有什么区别?具体能有代码加解释, 解决方案 第一种: java.net.* (标准java接口) try{ URL  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MydmO4b.html" rel="bookmark" class="title">xcode-NSDictionary读取字符串</a>
					<div>
						问题描述 NSDictionary读取字符串 我想开发一个应用从设置中读取string.要在越狱设备中,我知道不能放在应用商店.不过还需要实现. 我试过用int或者bool,我实现的代码: int F ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmPP8b.html" rel="bookmark" class="title">寻找最完美的&OpenCurlyDoubleQuote;保存&rdquo;图标</a>
					<div>
						本文讲的是寻找最完美的&quot;保存&quot;图标, 上周在 Etch 公司,我的朋友兼同事 Matt Jackson 问了我一个简单的问题: 如今用软盘作为&quot;保存&quot;图标依然合 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Zrddp.html" rel="bookmark" class="title">深圳市南山区去哪买婚庆用品？</a>
					<div>
						问题描述 深圳市南山区去哪买婚庆用品? 解决方案 解决方案二:不清楚,明年去深圳,都准备结婚了啊!先恭喜恭喜!解决方案三:该回复于2010-11-11 10:04:02被版主删除解决方案四:先谢谢大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94y7Xb.html" rel="bookmark" class="title">今天的苹果，到底怎么样&quest;</a>
					<div>
						苹果正沦为一家乏味不堪的公司 科技行业的最前沿.最令人激动的热点技术是什么?虚拟现实.增强现实.智能眼镜.机器学习.卫星上网.太空骨干互联网(SpaceX).可复用火箭.低成本卫星.无人飞机(快递以及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgweLEM.html" rel="bookmark" class="title">sybase数据库连接出现异常</a>
					<div>
						问题描述 sybase数据库连接出现异常 该方法是用来连接sybase数据库的,有时候执行该是可以的,但是有时候执行该方法就会出现异常: Connection to Sybase server has ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60gyYz.html" rel="bookmark" class="title">getstring错误 跪求解答~</a>
					<div>
						问题描述 ServerErrorin'/'Application.------------------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqXaOp.html" rel="bookmark" class="title">求助C&num;怎么写判断代理ip匿名程度啊？</a>
					<div>
						问题描述 RT求助啊.最好是本地自行就能判断的,不要提供什么验证反馈网站啊.检测反馈ip的怎么写的啊.没有接触过,现在用到急缺,有相关资料的也麻烦发我下啊 解决方案 解决方案二:写不出来,就好比自己不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jJXgp.html" rel="bookmark" class="title">Mybatis动态SQL之if、choose、where、set、trim、foreach标记实例详解&lowbar;java</a>
					<div>
						动态SQL就是动态的生成SQL. if标记 假设有这样一种需求:查询用户,当用户名不等于&quot;admin&quot;的时候,我们还需要密码为123456. 数据库中的数据为: MyBatisCo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QllRp.html" rel="bookmark" class="title">Form中如何实现像Web热点地图一样的功能&period;100分</a>
					<div>
						问题描述 如题:想在Form中实现像Web热点地图一样的功能,点击页面上的热点区域时,自动跳转到其它页面,或执行相应的事件. 解决方案 解决方案二:捕捉Mouse_Down事件,判断一下当时鼠标点击的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK074WM.html" rel="bookmark" class="title">C&num;listview编辑第二列怎么编辑</a>
					<div>
						问题描述 C#listview编辑第二列怎么编辑 winfrom程序,我使用的是listview控件,想要可以编辑第二列,不允许第一列被编辑,该怎么做 解决方案 谁来帮我解答一下这个问题呀 解决方案二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7wWxRz.html" rel="bookmark" class="title">java8中的localdate和localtime用法举例</a>
					<div>
						java8中的localdate和localtime用法举例如下:这两个方法使我们可以方便的实现将旧的日期类转换为新的日期类,具体思路都是通过Instant当中介,然后通过Instant来创建Loca ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
